Bug 1632807 - User session is terminated after User Switch
Summary: User session is terminated after User Switch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-server
Version: 7.6
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
Marie Dolezelova
URL:
Whiteboard:
Depends On: 1489977 1597339 1635747 1636460
Blocks: 1607454 1636878
TreeView+ depends on / blocked
 
Reported: 2018-09-25 15:22 UTC by Jiri Koten
Modified: 2019-08-06 12:42 UTC (History)
13 users (show)

Fixed In Version: xorg-x11-server-1.20.1-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1597339
: 1636878 (view as bug list)
Environment:
Last Closed: 2019-08-06 12:41:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
backtrace (15.26 KB, text/plain)
2018-09-25 15:40 UTC, Jiri Koten
no flags Details
Xorg log (114.07 KB, text/plain)
2018-09-25 15:41 UTC, Jiri Koten
no flags Details
drm debug (2.63 MB, text/plain)
2018-09-25 15:42 UTC, Jiri Koten
no flags Details
gdm journal (79.60 KB, text/plain)
2018-09-27 16:44 UTC, Jiri Koten
no flags Details
ps output (679.16 KB, text/plain)
2018-09-27 16:45 UTC, Jiri Koten
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 107100 None None None 2018-09-25 15:22:22 UTC
Red Hat Bugzilla 1489977 None VERIFIED Switching users in GNOME session is starting new X servers for the user, and a user logout is making it unusable. 2019-08-05 13:36:12 UTC
Red Hat Product Errata RHSA-2019:2079 None None None 2019-08-06 12:42:30 UTC

Internal Links: 1489977

Comment 3 Jiri Koten 2018-09-25 15:40:19 UTC
Created attachment 1486793 [details]
backtrace

Comment 4 Jiri Koten 2018-09-25 15:41:54 UTC
Created attachment 1486794 [details]
Xorg log

This is with two external monitors connected through docking station, laptop lid closed.

Comment 5 Jiri Koten 2018-09-25 15:42:23 UTC
Created attachment 1486795 [details]
drm debug

Comment 6 Jiri Koten 2018-09-25 16:09:47 UTC
The crash happens when I'm logging back to session.

Reproducer:

1) Have at least one external monitor, laptop lid is closed
2) Login the user
3) Switch User
4) Login back/unlock the user

Comment 11 Jiri Koten 2018-09-27 16:44:43 UTC
Created attachment 1487826 [details]
gdm journal

Comment 12 Jiri Koten 2018-09-27 16:45:58 UTC
Created attachment 1487828 [details]
ps output

List of Xorg processes in time of the crash.

Comment 20 Adam Jackson 2018-10-05 19:51:21 UTC
Added a patch to disable atomic modesetting unless enabled by the config file.

Comment 26 errata-xmlrpc 2019-08-06 12:41:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2079


Note You need to log in before you can comment on or make changes to this bug.